# Score Text/Phoneme list

{% hint style="info" %}
**Run in Postman:** [Score a Phoneme list](https://docs.speechace.com/#d3d86348-4d1e-4ecb-a991-778f037f5f12)
{% endhint %}

With the phone list API, you can score a sequence of phonemes that make up any word or non-word.&#x20;

Individual words, such as "Gotcha," which are American vernacular and not valid dictionary words, can be scored using the phoneme list API. The phoneme list uses a different url endpoint and expects the list of phonemes in [Arpabet notation](https://en.wikipedia.org/wiki/Arpabet).&#x20;

### Request Format&#x20;

The endpoint that is to be used will depend on the [region](/getting-started/pre-requisites/api-regions-and-endpoints.md) of your subscription. For example, for US West, the endpoint is <https://api.speechace.co>.

`POST` [`https://api.speechace.co/api/scoring/phone_list/v9/json`](https://api.speechace.co/api/scoring/phone_list/v9/json?key={{speechacekey}}\&user_id=XYZ-ABC-99001\&dialect=en-us)

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" lineNumbers="true" %}

```curl
curl --location -g 'https://api.speechace.co/api/scoring/phone_list/v9/json?key={{speechacekey}}&dialect=en-us' \
--form 'phone_list="g|ao|ch|ah"' \
--form 'user_audio_file=@"gotcha.wav"'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Query Parameters

<table><thead><tr><th width="146">Parameter</th><th width="89">Type</th><th>Description</th></tr></thead><tbody><tr><td>key</td><td>String</td><td><em>API</em> <a href="/pages/FY5QJQ5NVDkUtPtG080s"><em>key</em></a> <em>issued by Speechace.</em></td></tr><tr><td>dialect</td><td>String</td><td><em>This is the</em> <a href="/pages/PM2D802SgqeoWM8lrey5"><em>dialect</em></a> <em>to be scored. Supported only for en-us and en-gb</em></td></tr><tr><td>user_id</td><td>String</td><td><em><strong>Optional</strong>: A unique anonymized identifier for the end-user who spoke the audio.</em></td></tr></tbody></table>

### Request Body

<table><thead><tr><th width="240">Parameter</th><th width="98">Type</th><th>Description</th></tr></thead><tbody><tr><td>phone_list</td><td>String</td><td><em>A phoneme list to score. For example:</em> <code>g|ao|ch|ah</code></td></tr><tr><td>user_audio_file</td><td>File</td><td><em>file with user audio (wav, mp3, m4a, webm, ogg, aiff).</em></td></tr><tr><td>question_info</td><td>String</td><td><em><strong>Optional flag</strong>: A unique identifier (generated by your application) for the activity or question this user audio is answering.</em></td></tr></tbody></table>

### Response Example

The API response includes `phone_score_list[]` : a list of phonemes with it's own `quality_score`.&#x20;

Each element within the `phone_score_list[]` also includes its own **`quality_score`**, its **`extent`** information indicating its start and end, and additional fields like the actual **`sound_most_like`** phone based on the speaker's attempt.&#x20;

{% tabs %}
{% tab title="200: OK Phoneme List" %}
{% code lineNumbers="true" %}

```json
{
  "status": "success",
  "quota_remaining": -1,
  "word_score": {
    "word": "g|ao|ch|ah",
    "quality_score": 97,
    "phone_score_list": [
      {
        "phone": "g",
        "stress_level": null,
        "extent": [
          51,
          60
        ],
        "quality_score": 100,
        "sound_most_like": "g"
      },
      {
        "phone": "ao",
        "stress_level": null,
        "extent": [
          60,
          72
        ],
        "quality_score": 91,
        "sound_most_like": "ao"
      },
      {
        "phone": "ch",
        "stress_level": null,
        "extent": [
          72,
          87
        ],
        "quality_score": 100,
        "sound_most_like": "ch"
      },
      {
        "phone": "ah",
        "stress_level": null,
        "extent": [
          87,
          102
        ],
        "quality_score": 96,
        "sound_most_like": "ah"
      }
    ]
  },
  "version": "9.0"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.speechace.com/api-reference/score-text-phoneme-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
